commit:     1cafed4a65c9147e66c07fe8c355339c09d8e1da
Author:     nick black <dankamongmen <AT> gmail <DOT> com>
AuthorDate: Thu Oct  7 19:54:20 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Oct 20 02:39:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cafed4a

dev-cpp/notcurses: bump 2.4.3 -> 2.4.5

Drop readline dep, as it's no longer used.

Signed-off-by: nick black <dankamongmen <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/notcurses/Manifest               |  2 ++
 dev-cpp/notcurses/notcurses-2.4.5.ebuild | 53 ++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-cpp/notcurses/Manifest b/dev-cpp/notcurses/Manifest
index 186a731fc8e..a1cd7e3cccd 100644
--- a/dev-cpp/notcurses/Manifest
+++ b/dev-cpp/notcurses/Manifest
@@ -1,2 +1,4 @@
 DIST notcurses-2.4.3.tar.gz 10070959 BLAKE2B 
8be967d7f1d49936c12c46f4d9c54ac83e974e4f637fa224000a2459d4143590264dc75c4d36d55ec9cfaa0d737de3298e42156a25b3eef84109883b3e80e8ae
 SHA512 
a16d4e8d8108f565fd6f073b9529b6d7d52569d5241ee0df7186b44800a82a5e488d275c01c6af045419a2ae960f14a99fffe0cf5d600b5901973d93d3c82f82
+DIST notcurses-2.4.5.tar.gz 10082686 BLAKE2B 
7205f4b5864cf9c09342a4c171f16be85abe92c1ad445ff31aa180837628b897fee8ce702340b68457b729f741a67d360e233d4344244627ed7bffcc07ae9818
 SHA512 
0ad1f22b591fd36eea9917c50b51a7811aec9662edec475d5555896115b5c7d3e51487a3b1d67298cfc5472be367d7b8a71b6554811e8e3a4d9d781adc2d01eb
 DIST notcurses-doc-2.4.3.tar.gz 132158 BLAKE2B 
f96f41c659903e6fbac56318adf1de1b26dd7052e4c5958d60ff7f51c4c30ccf2a522f2581a69a7f54d1cd7774bb72fffc0bba760366294a261a7086611ff696
 SHA512 
7972d61cefcfa4cfdc3f6138202e1448c37dc2b3154307e4a7c0734e67b80919db75520f40f53c198c268f0f905720e75de4ef0ea7a6c0cd196a355b8dbf1e5c
+DIST notcurses-doc-2.4.5.tar.gz 133547 BLAKE2B 
65795b4f58eb9f905f17a58e7435579f1bc17e72d0aa8816f6dd7c9f41fc1b8568dc078a93c9184e6324e6c02d3187f36e95f41ba9cf8dbd3dd1be5074b55f11
 SHA512 
9c29fda1b13530931f7f1768b607371e553f8b1fbd573c4cd80bbfacafa2e9b2eaa2063c4c324e8d9878fe62f44c013ab2402126e97f484a4442e791922c3622

diff --git a/dev-cpp/notcurses/notcurses-2.4.5.ebuild 
b/dev-cpp/notcurses/notcurses-2.4.5.ebuild
new file mode 100644
index 00000000000..56e13b2f06a
--- /dev/null
+++ b/dev-cpp/notcurses/notcurses-2.4.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_ECLASS="cmake"
+inherit cmake-multilib
+
+DESCRIPTION="Blingful TUIs and character graphics"
+HOMEPAGE="https://notcurses.com";
+SRC_URI="https://github.com/dankamongmen/notcurses/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       
https://github.com/dankamongmen/notcurses/releases/download/v${PV}/notcurses-doc-${PV}.tar.gz";
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-libs/libunistring:=
+       media-video/ffmpeg:=
+       sys-libs/gpm
+       sys-libs/ncurses:=
+       sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       local mycmakeargs=(
+               -DUSE_DOCTEST=OFF
+               -DUSE_GPM=ON
+               -DUSE_MULTIMEDIA=ffmpeg
+               -DUSE_PANDOC=OFF
+               -DUSE_QRCODEGEN=OFF
+               -DUSE_STATIC=OFF
+       )
+       cmake-multilib_src_configure
+}
+
+src_compile() {
+       cmake-multilib_src_compile
+}
+
+src_test() {
+       multilib_src_test
+}
+
+src_install() {
+       cmake-multilib_src_install
+
+       # we use this tortured form lest we try, every time we release a
+       # x.y.1 or x.y.3, to install the source dir as a man page.
+       # exploit the fact that there's a bijection from html<>man.
+       for i in ../*.html ; do
+               doman ../$(basename ${i} .html || die)
+       done
+}

Reply via email to